Name:           vym
Version:        1.8.1
Release:        8%{?dist}
Summary:        View your mind

Group:          Applications/Productivity
License:        GPL
URL:            http://www.insilmaril.de/vym/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Patch0:         %{name}-mainwindow.patch
Patch1:         %{name}-pro.patch
Patch2:         %{name}-tex.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  qt-devel libXext-devel desktop-file-utils kdelibs

%description
VYM (View Your Mind) is a tool to generate and manipulate maps
which show your thoughts. Such maps can help you to improve
your creativity and effectivity. You can use them for time management,
to organize tasks, to get an overview over complex contexts.

%prep
%setup -q
%patch0
%patch1
%patch2

%build
qmake INSTALLDIR=%{buildroot}%{_prefix}

%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} COPY="%{__cp} -p -f"

%{__mkdir} -p %{buildroot}%{_datadir}/applications/

desktop-file-install --vendor fedora               \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/16x16/apps
%{__cp} -p icons/%{name}-16x16.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{__cp} -p icons/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps
%{__cp} -p icons/%{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/48x48/apps
%{__cp} -p icons/%{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{__cp} -p icons/%{name}-editor.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}-editor.png


## File lists
# locale's
%find_lang %{name} || touch %{name}.lang

%clean
%{__rm} -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi
  
%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE demos/ doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}*
%{_datadir}/icons/hicolor/48x48/apps/%{name}*
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%changelog
* Wed Mar 21 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-8
- Converted patches to unified output format.
* Wed Mar 21 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-7
- Dropped symlink in favor of path patches.
* Wed Mar 21 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-6
- Fixed Source URL.
* Tue Mar 20 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-5
- doc link fix, icon fix.
* Mon Mar 19 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-4
- Fixed Desktop icon path, make copy timestamps, cleaned scripts.
- Added symlink to fix PDF location.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-3
- Fixed source url.
- added desktop-file-utils,kdelibs BRs.
- Fixed desktop file handling.
* Tue Mar 13 2007 Jon Ciesla <limb@jcomserv.net> - 1.8.1-2
- Submitting for review.
* Wed Nov 22 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org > - 1.8.1-1
- Initial Package.